Page MenuHomePhabricator

"Review your changes" shows wrong diff after switching to new wikitext editor
Closed, ResolvedPublic1 Story Points

Description

Verbatim:
When I made some changes to a citation template in VisualEditor, then switched to source editing and changed the citation further, then the "Review your changes" button doesn't show my latest source changes -- it only shows VisualEditor changes.

URL: https://en.wikipedia.org/w/index.php?title=Post-quantum_cryptography&veaction=editsource
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:54.0) Gecko/20100101 Firefox/54.0
Youtube video: https://www.youtube.com/watch?v=nX9_hKCrj_Y&feature=youtu.be

(pls remove tags that do not apply.)

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterClear all diff state when switching editors

Event Timeline

Elitre created this task.Jun 22 2017, 11:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2017, 11:27 AM
Deskana triaged this task as Medium priority.Jun 22 2017, 12:03 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Deskana added a subscriber: Deskana.

Reproduced.

I absolutely love the video, by the way. <3

Esanders claimed this task.Jun 22 2017, 5:43 PM
Esanders renamed this task from "Review your changes" shows wrong diff after switching to source editing to "Review your changes" shows wrong diff after switching to new wikitext editor.Jun 22 2017, 5:55 PM

Change 360886 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Clear all diff state when switching editors

https://gerrit.wikimedia.org/r/360886

Jdforrester-WMF closed this task as Resolved.Jun 24 2017, 10:57 AM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 24 2017, 10:57 AM

Change 360886 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Clear all diff state when switching editors

https://gerrit.wikimedia.org/r/360886

intgr added a subscriber: intgr.Jun 27 2017, 8:43 AM